Subject: bug#71832: closed (Re: [bug#71832] [PATCH v6 0/3] [SECURITY] Update LibreWolf to 129.0.1-1; add nss-rapid)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 20 Aug 2024 05:48:01 +0000

Your bug report

#71832: [PATCH v5 0/3] [SECURITY] Add nss-rapid; update Librewolf to 128.0.3-1

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
71832: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=71832
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#71832] [PATCH v6 0/3] [SECURITY] Update LibreWolf to 129.0.1-1; add nss-rapid
From: Vagrant Cascadian <[email-masked]>
To: Ian Eure <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Mon, 19 Aug 2024 22:46:11 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On 2024-08-17, Vagrant Cascadian wrote:
> On 2024-08-17, Ian Eure wrote:
>> - Updates LibreWolf to 129.0.1-1, the latest upstream.
>> - Updates nss-rapid, to version 3.103, the latest upstream.
>> - Adds the skr locale to all-mozilla-locales.
>> - Backs out improvements not directly related to updating the browser version, to make review easier.
>
> It builds and runs fine for me, so overall I think this should be merged
> sooner than later (despite some of my minor comments on the nss-rapid
> patch)... given the previous iterations of patches over several months
> and the growing list of CVE fixes...
>
> If there are no strong objections and nobody beats me to it, I will
> merge these patches in the next couple days.

Pushed as 58faaf4eaadafa09a97ab31103eb54bd2076a699.

live well,
  vagrant

Subject: [PATCH 0/2] Add nss-latest; updte Librewolf to 127.0.2-2.
From: Ian Eure <[email-masked]>
To: [email-masked]
Cc: Ian Eure <[email-masked]>
Date: Fri, 28 Jun 2024 20:57:16 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

This patch series begins implementing my proposal for nss[1], by adding
nss-latest (at version 3.101).  When the next ESR is out, I’ll update and
ungraft the other nss, as proposed.

It also updates Librewolf to 127.0.2-2, the latest version.  Librewolf 127.x
requires nss >= 3.100, so both patches are combined in this series.  LW also
builds with Rust 1.77 now, since that’s the new minimum version (and the
default version used by upstream Firefox builds).

[1]: https://lists.gnu.org/archive/html/guix-devel/2024-06/msg00318.html

Ian Eure (2):
  gnu: Add nss-latest.
  gnu: librewolf: Update to 127.0.2-1.

 gnu/packages/librewolf.scm | 1039 ++++++++++++++++++------------------
 gnu/packages/nss.scm       |   67 ++-
 2 files changed, 587 insertions(+), 519 deletions(-)

-- 
2.45.1